complexType "PrincipalExchangeDescriptions"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 6 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | payerPartyReference, payerAccountReference?, receiverPartyReference, receiverAccountReference?, principalExchangeAmount, principalExchangeDate?
</...>

Content Model Elements (6):

  payerAccountReference,
  payerPartyReference,
  principalExchangeAmount (in principalExchangeDescriptions),
  principalExchangeDate,
  receiverAccountReference,
  receiverPartyReference

All Direct / Indirect Based Elements (1):

  principalExchangeDescriptions

Known Usage Locations

- As direct type of elements (1):
  principalExchangeDescriptions

Annotation
Specifies each of the characteristics of the principal exchange cashflows, in terms of paying/receiving counterparties, amounts and dates.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PrincipalExchangeDescriptions"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element name="principalExchangeAmount" type="PrincipalExchangeAmount"/> <xsd:element minOccurs="0" name="principalExchangeDate" type="AdjustableOrRelativeDate"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/6)
principalExchangeAmount

  Type: | PrincipalExchangeAmount, complex content

  Specifies the principal echange amount, either by explicitly defining it, or by point to an amount defined somewhere else in the swap document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="principalExchangeAmount" type="PrincipalExchangeAmount"/>

principalExchangeDate

  Type: | AdjustableOrRelativeDate, complex content

  Date on which each of the principal exchanges will take place. This date is either explictly stated, or is defined by reference to another date in the swap document. In this latter case, it will typically refer to one other date of the equity leg: either the effective date (initial exchange), or the last payment date (final exchange).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="principalExchangeDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.